/* eslint-disable import/prefer-default-export */
import type { User } from './types';

export function love(user: User) {
  const superUsers: string[] = JSON.parse(process.env.USERS_SUPER || '');
  // eslint-disable-next-line no-param-reassign
  if (superUsers?.includes(user.username)) user.displayName += '🧡';

  return user;
}
